import 'package:flutter/material.dart';

class WidgetRowPlotInfo extends StatelessWidget {
  final Color color;
  final String name;
  final String value;
  WidgetRowPlotInfo({required this.color, required this.name, required this.value});
  @override
  Widget build(BuildContext context) {
    return Container(
      color: color,
      child: IntrinsicHeight(
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Expanded(
              child: Container(
                padding: const EdgeInsets.all(12),
                child: Text(
                  name,
                  style: const TextStyle(fontSize: 16),
                ),
              ),
            ),
            Container(
              color: Colors.white,
              width: 2,
            ),
            Expanded(
              child: Container(
                  padding: const EdgeInsets.all(12), child: Text(value ?? '--', textAlign: TextAlign.end, style: const TextStyle(fontSize: 16))),
            ),
          ],
        ),
      ),
    );
  }
}
